import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';

@Component({
  selector: 'app-art-detail',
  templateUrl: './art-detail.component.html',
  styleUrls: ['./art-detail.component.scss'],
  standalone: true,
  imports: [IonicModule, CommonModule]
})
export class ArtDetailComponent implements OnInit {
  artId: string = '';
  artwork: any = null;

  constructor(private route: ActivatedRoute) { }

  ngOnInit() {
    this.artId = this.route.snapshot.paramMap.get('id') || '';
    this.loadArtwork();
  }

  loadArtwork() {
    // 模拟加载数据，实际应用中应该从服务器获取
    this.artwork = {
      id: this.artId,
      image: '../../assets/img/xingkong.png',
      title: '梵高-星空高清画作',
      description: '致敬梵高 #艺术品 #星空',
      avatarUrl: '../../assets/img/book1.png',
      userName: '星空艺术家',
      date: '12-01',
      likes: 1687
    };
  }
}
